From 69d3ca71bfa9097e2339a09fc8085c7ab6635165 Mon Sep 17 00:00:00 2001
From: Shugo Maeda <shugo@ruby-lang.org>
Date: Wed, 20 Oct 2010 00:25:54 +0900
Subject: [PATCH 31/51] use rb_attr_get() instead of rb_ivar_get().

---
 eval.c          |    6 +++---
 vm_insnhelper.c |    4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/eval.c b/eval.c
index 04e8465..b542c93 100644
--- a/eval.c
+++ b/eval.c
@@ -907,7 +907,7 @@ rb_import_classbox(NODE *cref, VALUE classbox)
     VALUE overlayed_modules;
 
     CONST_ID(id_overlayed_modules, "__overlayed_modules__");
-    overlayed_modules = rb_ivar_get(classbox, id_overlayed_modules);
+    overlayed_modules = rb_attr_get(classbox, id_overlayed_modules);
     if (NIL_P(overlayed_modules)) return;
     rb_hash_foreach(overlayed_modules, import_classbox_i, (VALUE) cref);
 }
@@ -927,7 +927,7 @@ rb_mod_import(VALUE module, VALUE classbox)
     VALUE imported_classboxes;
 
     CONST_ID(id_imported_classboxes, "__imported_classboxes__");
-    imported_classboxes = rb_ivar_get(module, id_imported_classboxes);
+    imported_classboxes = rb_attr_get(module, id_imported_classboxes);
     if (NIL_P(imported_classboxes)) {
 	imported_classboxes = rb_hash_new();
 	rb_funcall(imported_classboxes, rb_intern("compare_by_identity"), 0);
@@ -968,7 +968,7 @@ rb_classbox_refine(VALUE classbox, VALUE klass)
     VALUE overlayed_modules, modules;
 
     CONST_ID(id_overlayed_modules, "__overlayed_modules__");
-    overlayed_modules = rb_ivar_get(classbox, id_overlayed_modules);
+    overlayed_modules = rb_attr_get(classbox, id_overlayed_modules);
     if (NIL_P(overlayed_modules)) {
 	overlayed_modules = rb_hash_new();
 	rb_funcall(overlayed_modules, rb_intern("compare_by_identity"), 0);
diff --git a/vm_insnhelper.c b/vm_insnhelper.c
index f09fdeb..f46ec47 100644
--- a/vm_insnhelper.c
+++ b/vm_insnhelper.c
@@ -1750,12 +1750,12 @@ vm_import_classboxes(NODE *cref, VALUE klass, int define_type)
     VALUE imported_classboxes;
 
     CONST_ID(id_imported_classboxes, "__imported_classboxes__");
-    imported_classboxes = rb_ivar_get(klass, id_imported_classboxes);
+    imported_classboxes = rb_attr_get(klass, id_imported_classboxes);
     switch (define_type) {
     case 0:
 	if (NIL_P(imported_classboxes)) {
 	    VALUE super = rb_class_real(RCLASS_SUPER(klass));
-	    imported_classboxes = rb_ivar_get(super, id_imported_classboxes);
+	    imported_classboxes = rb_attr_get(super, id_imported_classboxes);
 	    if (!NIL_P(imported_classboxes)) {
 		imported_classboxes = rb_hash_dup(imported_classboxes);
 		rb_ivar_set(klass, id_imported_classboxes, imported_classboxes);
-- 
1.7.0.4

